## visad.java2d
Class ShadowScalarTypeJ2D

    java.lang.Object
      visad.ShadowType
          visad.java2d.ShadowTypeJ2D
              visad.java2d.ShadowScalarTypeJ2D

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ShadowRealTypeJ2D, ShadowTextTypeJ2D

public abstract class ShadowScalarTypeJ2D
extends ShadowTypeJ2D

The ShadowScalarTypeJ2D class shadows the ScalarType class, within a DataDisplayLink.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java2d.ShadowTypeJ2D
`adaptedShadowType, display, inheritedText, inheritedTextControl, Link, Type`

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowScalarTypeJ2D(MathType type, DataDisplayLink link, ShadowType parent)`

Method Summary
`DisplayTupleType` `getDisplaySpatialTuple()`
`int[]` `getDisplaySpatialTupleIndex()`
`int` `getIndex()`
`boolean` `getMappedDisplayScalar()`
`Vector` `getSelectedMapVector()`

Methods inherited from class visad.java2d.ShadowTypeJ2D

`addLabelsToGroup, addToGroup, allowCurvedTexture, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, doTransform, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, postProcess, preProcess, setText, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`addSwitch, addTextToGroup, addToGroup, addToSwitch, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, getTextMaps, makeBranch, makePointGeometry, makeSpatialSet, makeSwitch, recurseComponent, recurseRange, setTex3DCoords, setTexCoords, setTexStackCoords, terminalTupleOrScalar, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, wantIndexed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowScalarTypeJ2D

    public ShadowScalarTypeJ2D(MathType type,
                               DataDisplayLink link,
                               ShadowType parent)
                        throws VisADException,
                               RemoteException

Method Detail

### getMappedDisplayScalar

    public boolean getMappedDisplayScalar()

  Overrides:
    `getMappedDisplayScalar` in class `ShadowTypeJ2D`

### getDisplaySpatialTuple

    public DisplayTupleType getDisplaySpatialTuple()

### getDisplaySpatialTupleIndex

    public int[] getDisplaySpatialTupleIndex()

### getIndex

    public int getIndex()

### getSelectedMapVector

    public Vector getSelectedMapVector()